PUT List/PaymentType/Items/{id}/UserGroups
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
PUT /api/v1/List/PaymentType/Items/{itemId}/UserGroups
Saves user groups visible for the PaymentType list's item.
Calls the List agent service SaveHeadingsForListItemFromListDefinition.
| Path Part | Type | Description |
|---|---|---|
| itemId | int32 | The ID of the item to save. Required |
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entities
The headings to be saved.
| Property Name | Type | Description |
|---|---|---|
| Id | Integer | The Id of the ListItem |
| Name | String | The name of the ListItem |
| ToolTip | String | The tooltip of the ListItem |
| Deleted | Boolean | The deleted status of the ListItem |
| Rank | Integer | The rank of the ListItem |
| Type | String | The type of the ListItem. Custom field. |
| ColorBlock | Integer | The color indicator of the ListItem color block |
| IconHint | String | The Icon hint of the ListItem. Custom field. |
| Selected | Boolean | True if the ListItem is selected |
| LastChanged | String | Time of last change. |
| ChildItems | Array | The child items of the SelectableMDOListItem |
| ExtraInfo | String | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | String | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | Boolean | True if the ListItem is hidden |
| FullName | String | The name of the ListItem in its context |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
PUT /api/v1/List/PaymentType/Items/{itemId}/UserGroups
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
[
{
"Id": 882,
"Name": "Stiedemann, Okuneva and Walker",
"ToolTip": "Et aliquam nobis quidem inventore sit iste.",
"Deleted": true,
"Rank": 50,
"Type": "asperiores",
"ColorBlock": 852,
"IconHint": "dolorum",
"Selected": false,
"LastChanged": "2005-12-28T14:34:03.2406984+01:00",
"ChildItems": [
{
"Id": 258,
"Name": "Tillman Group",
"ToolTip": "Veritatis repellendus rem ea iusto.",
"Deleted": false,
"Rank": 887,
"Type": "aut",
"ColorBlock": 592,
"IconHint": "eos",
"Selected": false,
"LastChanged": "2007-07-20T14:34:03.2406984+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "magnam",
"StyleHint": "aut",
"Hidden": true,
"FullName": "Ken Kris Blanda V"
}
],
"ExtraInfo": "nemo",
"StyleHint": "praesentium",
"Hidden": false,
"FullName": "Laurianne Konopelski"
}
]
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 250,
"Name": "Credit Card",
"ToolTip": "Fuga veritatis veritatis impedit dolores enim dolor molestiae.",
"Deleted": false,
"Rank": 621,
"Type": "rerum",
"ColorBlock": 620,
"IconHint": "quo",
"Selected": true,
"LastChanged": "2014-12-12T14:34:03.242703+01:00",
"ChildItems": [
{
"Id": 159,
"Name": "Lemke Inc and Sons",
"ToolTip": "Ratione delectus voluptatem necessitatibus ut ratione aliquam.",
"Deleted": true,
"Rank": 21,
"Type": "voluptatem",
"ColorBlock": 685,
"IconHint": "voluptates",
"Selected": false,
"LastChanged": "2003-12-28T14:34:03.242703+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "autem",
"StyleHint": "sed",
"Hidden": true,
"FullName": "Prof. Branson Roxanne Jewess",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 434
}
}
}
],
"ExtraInfo": "voluptate",
"StyleHint": "dolorem",
"Hidden": false,
"FullName": "Darius Osinski",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 716
}
}
}
]